Part Torus/zh-cn: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Updating to match new version of source page)
 
Line 24: Line 24:
</div>
</div>


A Part Torus can be turned into a segment of a torus by changing its {{PropertyData|Angle3}} property. By changing its {{PropertyData|Angle1}} and/or {{PropertyData|Angle2}} properties the swept profile can become a segment of a circle.
[[File:SimpleTorus.jpg|400px]]

[[Image:Part_Torus_Example.png|400px]]


<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
Line 35: Line 37:
</div>
</div>


== Example ==


[[Image:Part_Torus_Scripting_Example.png|thumb|Part Torus from the scripting example]]
'''Result:''' The torus will be positioned at origin (point 0,0,0) on creation.<br />
The angle parameters (angle1, angle2, angle3), as well as the radius parameters (radius1, radius2) permit to parametrize the torus, see next section.


A Part Torus object created with the [[#Scripting|scripting example]] below is shown here.
== 选项 ==


== Notes ==
[[File:TorusExampleOverviewParameters.jpg]]


* A Part Torus can also be created with the [[Image:Part_Primitives.svg|16px]] [[Part_Primitives|Part Primitives]] command. With that command you can specify the dimensions and placement at creation time.
'''参数'''


<div class="mw-translate-fuzzy">
创建环面的过程就相当于令一个小圆盘沿一个幻想的环形轨道为轴进行圆周运动。这样,就可以通过下列参数来定义参数化环面:
[[File:TorusExampleRadius1.jpg]]<br/>
将Radius1参数的值指定为20 mm。
</div>


See also: [[Property_editor|Property editor]].
* {{Parameter|Radius1:}} 小圆盘圆周运动所绕圆环的半径
* {{Parameter|Radius2:}} 定义环面形状的小圆盘的半径
* {{Parameter|Angle1:}} 用于切割/定义环面小圆盘的第1个角度参数
* {{Parameter|Angle2:}} 用于切割/定义环面小圆盘的第2个角度参数
* {{Parameter|Angle3:}} 用于定义环面运动圆周的第3个角度参数


A Part Torus object is derived from a [[Part_Feature|Part Feature]] object and inherits all its properties. It also has the following additional properties:
以及一系列标准定位参数。下图以可视化方式展示了上述提及的诸参数:


=== Data ===
[[File:TorusExampleRadius1.jpg]]<br/>
将Radius1参数的值指定为20 mm。


{{TitleProperty|Attachment}}
[[File:TorusExampleRadius2.jpg]] <br/>
将Radius2参数的值指定为2 mm。


The object has the same attachment properties as a [[Part_Part2DObject#Data|Part Part2DObject]].
[[File:TorusExampleAngle1.jpg]] <br/>
将Angle1参数的值指定为-90°。不难发现,"角度测量"工具并不能显示负值角度。因此,请将图中所示的值想象(zixingnaobu)为"-90°"。


{{TitleProperty|Torus}}
[[File:TorusExampleAngle2.jpg]] <br/>
将Angle2参数的值指定为90°。


<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
* {{Parameter|Radius1:}} 小圆盘圆周运动所绕圆环的半径
[[File:TorusExampleAngle3.jpg]]
* {{Parameter|Radius2:}} 定义环面形状的小圆盘的半径
{{clear}}
* {{Parameter|Angle1:}} 用于切割/定义环面小圆盘的第1个角度参数
将Angle3参数指定为90°。
* {{Parameter|Angle2:}} 用于切割/定义环面小圆盘的第2个角度参数
* {{Parameter|Angle3:}} 用于定义环面运动圆周的第3个角度参数
</div>
</div>


== Scripting ==
== Scripting ==


See also: [https://freecad.github.io/SourceDoc/ Autogenerated API documentation], [[Part_scripting|Part scripting]] and [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].
A Part Torus can be created using the following function:

A Part Torus can be created with the {{Incode|addObject()}} method of the document:


{{Code|code=
{{Code|code=
Line 83: Line 84:
* Where {{Incode|"myTorus"}} is the name for the object.
* Where {{Incode|"myTorus"}} is the name for the object.
* The function returns the newly created object.
* The function returns the newly created object.

Example:

{{Code|code=
import FreeCAD as App

doc = App.activeDocument()

torus = doc.addObject("Part::Torus", "myTorus")
torus.Radius1 = 20
torus.Radius2 = 10
torus.Angle1 = -90
torus.Angle2 = 45
torus.Angle3 = 270
torus.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(30, 45, 10))

doc.recompute()
}}




Line 94: Line 113:
}}
}}


{{Part Tools navi{{#translation:}}}}
{{Part_Tools_navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}

Latest revision as of 09:58, 3 March 2022

Part Torus

Menu location
Part → Primitives → Torus
Workbenches
Part
Default shortcut
None
Introduced in version
-
See also
Part Primitives

Description

描述

根据position, angle1, angle2, angle3, radius1 与 radius2参数创建一个简单的参数化环面。

A Part Torus can be turned into a segment of a torus by changing its 数据Angle3 property. By changing its 数据Angle1 and/or 数据Angle2 properties the swept profile can become a segment of a circle.

如何使用

零件工作台中点击环面图标。这会在原点(point 0,0,0)处创建一个环面。 三个角度参数(angle1, angle2, angle3)与两个半径参数(radius1 , radius2)用于确定参数化环面,详情请看下段文字。

Example

Part Torus from the scripting example

A Part Torus object created with the scripting example below is shown here.

Notes

  • A Part Torus can also be created with the Part Primitives command. With that command you can specify the dimensions and placement at creation time.


将Radius1参数的值指定为20 mm。

See also: Property editor.

A Part Torus object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:

Data

Attachment

The object has the same attachment properties as a Part Part2DObject.

Torus

  • Radius1: 小圆盘圆周运动所绕圆环的半径
  • Radius2: 定义环面形状的小圆盘的半径
  • Angle1: 用于切割/定义环面小圆盘的第1个角度参数
  • Angle2: 用于切割/定义环面小圆盘的第2个角度参数
  • Angle3: 用于定义环面运动圆周的第3个角度参数

Scripting

See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.

A Part Torus can be created with the addObject() method of the document:

torus = FreeCAD.ActiveDocument.addObject("Part::Torus", "myTorus")
  • Where "myTorus" is the name for the object.
  • The function returns the newly created object.

Example:

import FreeCAD as App

doc = App.activeDocument()

torus = doc.addObject("Part::Torus", "myTorus")
torus.Radius1 = 20
torus.Radius2 = 10
torus.Angle1 = -90
torus.Angle2 = 45
torus.Angle3 = 270
torus.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(30, 45, 10))

doc.recompute()